apiVersion: apps/v1
kind: Deployment
metadata:
  name: photum-backend
  namespace: photum
spec:
  replicas: 1
  selector:
    matchLabels:
      app: photum
  template:
    metadata:
      labels:
        app: photum
    spec:
      imagePullSecrets:
        - name: forgejo-registry-secret
      containers:
        - name: photum-app
          image: git.saveinmed.com.br/yamamoto/photum:prd
          ports:
            - containerPort: 8080
          env:
            - name: APP_ENV
              value: "prd"
            - name: APP_PORT
              value: "8080"
            - name: DB_DSN
              value: "postgres://yuki:1I66Kcomp68L@db537.rede5.com.br:27537/photum-prd?sslmode=disable"
            - name: JWT_ACCESS_SECRET
              value: "Qw8!z2@pLk#7vXrTn$5eJb^1sGm*9YcD"
            - name: JWT_REFRESH_SECRET
              value: "Zx3$uV!6nB#2qWm^8jK@1rTg*5pLhS0d"
            - name: JWT_ACCESS_TTL_MINUTES
              value: "15"
            - name: JWT_REFRESH_TTL_DAYS
              value: "30"
